#ifndef CONNECTIVITYMANAGER_H
#define CONNECTIVITYMANAGER_H

#include <ESP8266WiFi.h>
#include "SDCardManager.h"
#include "CFGFileParser.h"
#include "CFGDictionary.h"
#include "definition.h"

#define MIN_RSSI -81
#define MAX_RSSI -50
#define COEF_RSSI 3.225806452

class ConnectivityManager : public ESP8266WiFiClass
{
  friend class SAB;
  public:
    boolean enableSTAAndAP(boolean enable);

    unsigned char RSSIPercent();
    unsigned char getError() const;
  protected:
    ConnectivityManager();
    ConnectivityManager(SDCardManager &sdCardManager);
  private:
    unsigned char _error;
    SDCardManager *_sdCardManager;
};

#endif //CONNECTIVITYMANAGER_H
